Interlaken
API referenceApplicationsDeploy servers

Add a scheduled cron task to an application (frequency is a cron expression, command runs in the app container)

POST
/api/v1/deploy-servers/{id}/applications/{app}/scheduled-tasks

Requires the deploy_servers:manage permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string
app*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/deploy-servers/string/applications/string/scheduled-tasks" \  -H "Content-Type: application/json" \  -d '{    "command": "string",    "frequency": "string",    "name": "string"  }'
{  "command": "string",  "container": "string",  "enabled": true,  "frequency": "string",  "name": "string",  "uuid": "string"}